#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: generic-deriving
version: 1.6.3
id: generic-deriving-1.6.3-f54d09a293d379cf5f1f540fb5b17643

license: BSD3
copyright: 2011-2013 Universiteit Utrecht, University of Oxford
maintainer: generics@haskell.org
stability: experimental
homepage:
package-url:
synopsis: Generic programming library for generalised deriving.
description: This package provides functionality for generalising the deriving mechanism
             in Haskell to arbitrary classes. It was first described in the paper:
             .
             *  /A generic deriving mechanism for Haskell/.
             Jose Pedro Magalhaes, Atze Dijkstra, Johan Jeuring, and Andres Loeh.
             Haskell'\''10.
             .
             The current implementation integrates with the new GHC Generics. See
             <http://www.haskell.org/haskellwiki/GHC.Generics> for more information.
             Template Haskell code is provided for supporting GHC before version 7.2.
category: Generics
author: José Pedro Magalhães
exposed: True
exposed-modules: Generics.Deriving Generics.Deriving.Base
                 Generics.Deriving.Instances Generics.Deriving.Copoint
                 Generics.Deriving.ConNames Generics.Deriving.Enum
                 Generics.Deriving.Eq Generics.Deriving.Foldable
                 Generics.Deriving.Functor Generics.Deriving.Monoid
                 Generics.Deriving.Show Generics.Deriving.Traversable
                 Generics.Deriving.Uniplate Generics.Deriving.TH
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/generic-deriving-1.6.3
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/generic-deriving-1.6.3
              /usr/local/lib
hs-libraries: HSgeneric-deriving-1.6.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         ghc-prim-0.3.1.0-954cb57749cf319beafdc89b3415422c
         template-haskell-2.9.0.0-209b23d5bd6678f5bc383f0d56742080
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/generic-deriving-1.6.3/html/generic-deriving.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/generic-deriving-1.6.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
